reloc65 Class Reference

`#include <reloc65.h>`

## Public Types

enum | segment_t { WHOLE, TEXT, DATA, BSS, ZEROPAGE }

## Public Member Functions

void | setReloc (segment_t type, int addr)
void | setExtract (segment_t type)
bool | reloc (unsigned char **buf, int *fsize)

## Detailed Description

reloc65 – A part of xa65 - 65xx/65816 cross-assembler and utility suite o65 file relocator.

## Member Function Documentation

## reloc()

bool reloc65::reloc | ( | unsigned char ** | buf,
|  | int * | fsize
| ) |  |

Do the relocation.

Parameters

  buf | beffer containing o65 data
  fsize | size of the data

## setExtract()

void reloc65::setExtract | ( | segment_t | type | ) |

Select segment to extract.

Parameters

  type | the segment to extract

## setReloc()

void reloc65::setReloc | ( | segment_t | type,
|  | int | addr
| ) |  |

Select segment to relocate.

Parameters

  type | the segment to relocate
  addr | new address

The documentation for this class was generated from the following files:

- reloc65.h
- reloc65.cpp